import request from '@/utils/request'

// 查询手机黑名单列表
export function listSmsBlacklist(query) {
  return request({
    url: '/system/smsBlacklist/list',
    method: 'get',
    params: query
  })
}

// 查询手机黑名单详细
export function getSmsBlacklist(id) {
  return request({
    url: '/system/smsBlacklist/' + id,
    method: 'get'
  })
}

// 新增手机黑名单
export function addSmsBlacklist(data) {
  return request({
    url: '/system/smsBlacklist',
    method: 'post',
    data: data
  })
}

// 修改手机黑名单
export function updateSmsBlacklist(data) {
  return request({
    url: '/system/smsBlacklist',
    method: 'put',
    data: data
  })
}

// 删除手机黑名单
export function delSmsBlacklist(id) {
  return request({
    url: '/system/smsBlacklist/' + id,
    method: 'delete'
  })
}
